# Location

Object describing a geographic location. A location can either be a point or an area.

## Get locations

 - [GET /locations/{offset}/{amount}](https://docs.transportial.com/apis/location/handle_35.md): Get list of locations

## Get locations

 - [POST /locations/{offset}/{amount}](https://docs.transportial.com/apis/location/handle_179.md): Get list of locations

## Update location

 - [PUT /location](https://docs.transportial.com/apis/location/handle_82.md): Update a location

## Create location

 - [POST /location](https://docs.transportial.com/apis/location/handle_178.md): Create a new location

## Get location average action duration

 - [GET /location/{id}/action/{type}/duration{average}](https://docs.transportial.com/apis/location/handle_87.md): Get the average duration of an action type on the location

## Get location

 - [GET /location/{id}](https://docs.transportial.com/apis/location/handle_326.md): Get a location on id

## Delete location

 - [DELETE /location/{id}](https://docs.transportial.com/apis/location/handle_114.md): Delete a location

## Get location actions

 - [GET /location/{id}/actions/{offset}/{amount}](https://docs.transportial.com/apis/location/handle_127.md): Get the actions that have previously occurred on a location

## Find duplicate locations

 - [POST /location/duplicates](https://docs.transportial.com/apis/location/handle_150.md): Find duplicate locations based on location object in body

## Geocode from AddressGeoReference

 - [POST /location/geocode/addressGeoReference](https://docs.transportial.com/apis/location/handle_493.md): Get coordinates (LatLongPointGeoReference) from AddressGeoReference

